# Create a new bank account

**POST** `/bank-accounts`

Creates a new bank account under an entity.

### Body Parameters

- `account_structure_id` `string` — The account structure ID
- `currency_code` `enum` — The three-letter ISO 4217 currency code for this bank account. Only USD is supported. Defaults to USD if not set.
  Possible values: `USD`
- `description` `string` — A name for the bank account (minimum: 3 characters)
- `display_name` `string` — The display name for the bank account. Display name is an account nickname used on Column's Dashboard.
- `entity_id` `string` _(required)_ — The entity ID of the owner
- `fdic_insurance` `string` — The type of FDIC insurance offered on this account. The default value is `standard`.
- `interest_config_id` `string` — The ID of interest config for this account. If it is not set, the default interest config of your platform will be used for this account. Please contact our support team for more details.
- `is_interest_bearing` `boolean` — Whether your platform needs to accrue and pay interest to this account. Please contact our support team for more details.
- `is_overdraftable` `boolean` — Whether the account can be overdrafted, must include an `overdraft_reserve_account_id`
- `overdraft_reserve_account_id` `string` — The overdraft reserve account that this account is linked to. If `is_overdraftable`: `true` then this field is required.

**Request**

```shell
curl 'https://api.column.com/bank-accounts' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d description="Travel Checking" \
  -d entity_id="<entity_id>"
```

**Response 200**

```json
{
  "balances": {
    "available_amount": 0,
    "holding_amount": 0,
    "locked_amount": 0,
    "pending_amount": 0
  },
  "bic": "CLNOUS66",
  "created_at": "2021-10-14T17:50:21Z",
  "currency_code": "USD",
  "default_account_number": "123456789012345",
  "default_account_number_id": "acno_2YHAWG9FTCxtL5emK1oVKCOx7fk",
  "description": "Travel Checking",
  "id": "bacc_2YHAXVyuS2xcJW12Buh9zsxV7vC",
  "is_overdraftable": false,
  "overdraft_reserve_account_id": "",
  "owners": [
    "enti_2YHAYW65t2fEna7uxll10OHzoty"
  ],
  "routing_number": "121145307",
  "type": "CHECKING",
  "status": "open"
}
```
